## dtlsenc

dtlsenc

## Properties

gchar * | connection-id | Read / Write
GstBuffer * | encoder-key | Read
gboolean | is-client | Read / Write
guint | srtp-auth | Read
guint | srtp-cipher | Read

## Signals

void | on-key-received | Run Last

## Types and Values

struct | GstDtlsEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstDtlsEnc

## Description

## Synopsis

### Element Information

plugin | dtls
author | Patrik Oldsberg patrik.oldsberg@ericsson.com
class | Encoder/Network/DTLS

### Element Pads

name | sink
direction | sink
presence | request
details | ANY

name | src
direction | source
presence | always
details | application/x-dtls

## Functions

## Types and Values

### struct GstDtlsEnc

    struct GstDtlsEnc;

## Property Details

### The `“connection-id”` property

      “connection-id”            gchar *

Every encoder/decoder pair should have the same, unique, connection-id.

Flags: Read / Write

Default value: NULL

### The `“encoder-key”` property

      “encoder-key”              GstBuffer *

Master key that should be used by the SRTP encoder.

Flags: Read

### The `“is-client”` property

      “is-client”                gboolean

Set to true if the decoder should act as client and initiate the handshake.

Flags: Read / Write

Default value: FALSE

### The `“srtp-auth”` property

      “srtp-auth”                guint

The SRTP authentication selected in the DTLS handshake. The value will be set to an GstDtlsSrtpAuth.

Flags: Read

Allowed values: <= 2

Default value: 0

### The `“srtp-cipher”` property

      “srtp-cipher”              guint

The SRTP cipher selected in the DTLS handshake. The value will be set to an GstDtlsSrtpCipher.

Flags: Read

Allowed values: <= 1

Default value: 0

## Signal Details

### The `“on-key-received”` signal

    void
    user_function (GstDtlsEnc *gstdtlsenc,
                   gpointer    user_data)

Flags: Run Last